Subject: Mom
From: "Michael B" <[email-masked]>
To: "Laura Fox" <[email-masked]>, "Laura Fox" <[email-masked]>
Date: Thu, 16 Feb 2017 10:58:26 -0500

Hello Laura.
I talked to Dad last night about Mom. I asked him if he called the doctor and if he had done anything about the testing. He said he hasn't called the Doctor and even gotten the results of Mom's blood tests. He said she is doing ok but is still kind of talking about her her Dad (Grandpa Silva). Just got a call from Dad and he said that Mom got up this morning, got dressed and expected to be driven her to Saginaw. Dad has kind of been "playing along" but told her that he didn't have their phone numbers. I am still concerned that things. I don't want Mom to get mad and just walk out the door. She probably won't but who knows. Just too many unknowns at this point. I am heading over to their house now to drop off some tax stuff I printed for Dad. I will let you know how things are from my perspective after the visit. 
Thank you,
Michael B